View Issue Details

IDProjectCategoryView StatusLast Update
0005029unrealircdpublic2020-01-10 15:55
Reportermarco500Assigned Tosyzop 
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
PlatformLinuxOSubuntu linuxOS Versionubuntu linux
Product Version4.0.16 
Target VersionFixed in Version5.0.2 
Summary0005029: can you add the manual /kline to ban-include-username yes;
Descriptionmake '/kline nick' place the ban on user@ip if ban-include-username is set to yes
TagsNo tags attached.
3rd party modules

Relationships

related to 0005458 resolvedsyzop New set::options::spamfilter-ban-ident option 

Activities

syzop

2020-01-10 15:55

administrator   ~0021221

Added now (will be in UnrealIRCd 5.0.2), thanks for the suggestion.

commit ef9506b95fbdb5854c8259529ab4b7feab2c7555 (HEAD -> unreal50, origin/unreal50)
Author: Bram Matthys <syzop@vulnscan.org>
Date: Fri Jan 10 15:54:04 2020 +0100

    Add set::manual-ban-target as well (affects /KLINE nick, etc).
    Requested by marco500 in https://bugs.unrealircd.org/view.php?id=5029
    For more information, see:
    https://www.unrealircd.org/docs/Set_block#set::manual-ban-target

Issue History

Date Modified Username Field Change
2017-11-12 16:01 marco500 New Issue
2017-11-12 16:15 syzop Severity minor => feature
2017-11-12 16:15 syzop Status new => acknowledged
2017-11-12 16:15 syzop Description Updated View Revisions
2019-10-26 19:29 syzop Relationship added related to 0005458
2020-01-10 15:55 syzop Assigned To => syzop
2020-01-10 15:55 syzop Status acknowledged => resolved
2020-01-10 15:55 syzop Resolution open => fixed
2020-01-10 15:55 syzop Fixed in Version => 5.0.2
2020-01-10 15:55 syzop Note Added: 0021221